Openwall just released the 1.7.7 Jumbo 5 patch of John The Ripper to download

From Openwall: “This patch integrates lots of contributed patches adding support for over 40 of additional hash and cipher types (including popular ones such as NTLM, raw MD5, etc.), as well as some optimizations and features. Most likely, this is the only patch you may need to apply. Requires OpenSSL 0.9.7+.”

John the Ripper (JTR) is one of the most popular password cracking tool. If you are going to break passwords this software is the reference against which you should compare your software.